Subject: Re: time jumps forward/backwards

From: Ben Gamsa <[email-masked]>
Date: Thu, 03 Sep 2009 08:49:35 -0400

Benjamin Gamsa wrote:
> Benjamin Herrenschmidt wrote:
>> On Mon, 2009-08-31 at 23:57 -0400, Benjamin Gamsa wrote:
>>> Sean MacLennan wrote:
>>>> On Mon, 31 Aug 2009 22:20:00 -0400
>>>> Benjamin Gamsa <[email-masked]> wrote:
>>>>
>>>>> For what it's worth, the problem occurs even when ntp is not even
>>>>> started.
>>>> This is grasping, but could it have anything to do with the jiffies
>>>> wrapping near startup?
>>>>
>>> I don't know how to test it, but I don't think so, since there are 
>>> multiple of these glitches over an extended period of time.
>>
>> I'm not familiar with all the FSL processor variants, but is this
>> an UP or an SMP platform ? In the later case, are all the core timebases
>> properly synchronized ?
>>
> 
> This a UP with a single e500 core.
> 

I take it from the lack of follow-ups that no one has any good ideas as 
to what might be going wrong?

Since the problem seems to be confined to situations where the date is 
around the epoch, I guess I'll just work-around the problem by setting 
the date to a more recent date on startup.

-- 
Ben Gamsa       [email-masked]
SOMA Networks   312 Adelaide St. W. Suite 600 Toronto, Ontario, M5V1R2